tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mark Eggers <its_toas...@yahoo.com>
Subject Re: Tomcat Crashed - Please Help.
Date Fri, 18 Aug 2006 02:09:01 GMT
Are you using Tomcat 5.5.x or Tomcat 5.0.x?

Tomcat 5.5.x requires either JSE 1.5 or JDK 1.4.x with
the JDK compatibility pack.

See the following:

http://www.devlib.org/apache/tomcat/tomcat-5/v5.5.17/README.html

The compatibility pack can be found here:

http://tomcat.apache.org/download-55.cgi

HTH

/mde/
just my two cents . . . .


--- Uday Bhaskar <uday@olivetech.com> wrote:

> Hi,
> 
> When I start tomcat following is th error message:
> 
> Starting tomcat5: /usr/bin/rebuild-jar-repository:
> error: could not find 
> jdbc-stdext Java extension for this JVM
> /usr/bin/rebuild-jar-repository: error: could not
> find jndi Java 
> extension for this JVM
> /usr/bin/rebuild-jar-repository: error: All detected
> jars were not found 
> for this jvm
> /usr/bin/rebuild-jar-repository: error: could not
> find jaas Java 
> extension for this JVM
> /usr/bin/rebuild-jar-repository: error: All detected
> jars were not found 
> for this jvm
> [ OK ]
> 
> I did not made any changes on SDK (new installations
> etc).
> 
> when I say
> 
> *# sudo /usr/sbin/alternatives --config java*
> 
> Selection Command
> -----------------------------------------------
> 1 /usr/share/java/libgcj-java-placeholder.sh
> 2 /usr/lib/jvm/java-1.4.2-ibm-1.4.2.0/jre/bin/java
> 3 /usr/lib/jvm/java-1.4.2-ibm-1.4.2.2/jre/bin/java
> *+ 4
> /usr/lib/jvm/java-1.4.2-ibm-1.4.2.3/jre/bin/java
> 
> And when I say,
> 
> *$ java -version*
> java version "1.4.2_06"
> Java(TM) 2 Runtime Environment, Standard Edition
> (build 1.4.2_06-b03)
> Java HotSpot(TM) Client VM (build 1.4.2_06-b03,
> mixed mode)
> 
> *Tomcat log :*
> Bootstrap: Class loader creation threw exception
> java.lang.IllegalArgumentException:
> addRepositoryInternal
>         at 
>
org.apache.catalina.loader.StandardClassLoader.addRepositoryInternal(StandardClassLoader.java:957)
>         at 
>
org.apache.catalina.loader.StandardClassLoader.<init>(StandardClassLoader.java:153)
>         at 
>
org.apache.catalina.startup.ClassLoaderFactory.createClassLoader(ClassLoaderFactory.java:207)
>         at 
>
org.apache.catalina.startup.Bootstrap.createClassLoader(Bootstrap.java:163)
>         at 
>
org.apache.catalina.startup.Bootstrap.initClassLoaders(Bootstrap.java:104)
>         at
>
org.apache.catalina.startup.Bootstrap.init(Bootstrap.java:196)
>         at
>
org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:402)
> Caused by: java.util.zip.ZipException: No such file
> or directory
>         at java.util.zip.ZipFile.open(Native Method)
>         at
> java.util.zip.ZipFile.<init>(ZipFile.java:112)
>         at
> java.util.jar.JarFile.<init>(JarFile.java:127)
>         at
> java.util.jar.JarFile.<init>(JarFile.java:65)
>         at 
>
org.apache.catalina.loader.StandardClassLoader.addRepositoryInternal(StandardClassLoader.java:944)
>         ... 6 more
> 
> 
> Can anyone help me.


__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 

---------------------------------------------------------------------
To start a new topic, e-mail: users@tomcat.apache.org
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message